#include <windows.h>
#include "spi.h"

bool CSPI::LoadSPI(char* lpPath){
	hSPI=LoadLibrary(lpPath);
	if(!hSPI)return false;
	IsSupported=(SpiIsSupported)GetProcAddress(hSPI,"IsSupported");
	GetPictureInfo=(SpiGetPictureInfo)GetProcAddress(hSPI,"GetPictureInfo");
	GetPicture=(SpiGetPicture)GetProcAddress(hSPI,"GetPicture");
	if(!IsSupported)return false;
	return true;
}

bool CSPI::Free(){
	if(hSPI)FreeLibrary(hSPI);
	return true;
}
