#ifndef SPI
#define SPI

struct PictureInfo
{
	long left,top;
	long width;
	long height;
	WORD x_density;
	WORD y_density;
	short colorDepth;
	HLOCAL hInfo;
};
typedef	int (PASCAL *SpiGetPluginInfo)(int, LPSTR, int);
typedef	int (PASCAL *SpiIsSupported)(LPSTR, DWORD);
typedef	int (PASCAL *SpiGetPictureInfo)(LPSTR, long, unsigned int, PictureInfo*);
typedef	int (PASCAL *SpiGetPicture)(LPSTR, long, unsigned int, HLOCAL*, HLOCAL*, FARPROC, long);
typedef	int (PASCAL *SpiGetPreview)(LPSTR, long, unsigned int, HLOCAL*, HLOCAL*, FARPROC, long);
//typedef	int (PASCAL *SpiGetArchiveInfo)(LPSTR, long, unsigned int, HGLOBAL*);
//typedef	int (PASCAL *SpiGetFileInfo)(LPSTR, long, LPSTR, unsigned int, SpiArcFileInfo*);
//typedef	int (PASCAL *SpiGetFile)(LPSTR, long, LPSTR, unsigned int, FARPROC, long);
//typedef	int (PASCAL *SpiConfigurationDlg)(HWND,int);
//typedef	int (PASCAL *SpiProgressCallbackFunc)(int,int,long);

class CSPI{
	HINSTANCE hSPI;
public:
	SpiIsSupported IsSupported;
	SpiGetPictureInfo GetPictureInfo;
	SpiGetPicture GetPicture;
	bool LoadSPI(char* lpPath);
	bool Free();
	CSPI(){hSPI=NULL;}
	~CSPI(){Free();}
};

#endif

