class CBitmap{
public:
	int		flag;			// used flag
	int		depth;			// bit depth
	int		sx,sy;			// size
	BYTE	*pBit;			// Bitmap pointer
	int		bmpsize;		// *pBit alloc memory size
	int     aline;          // length of line
	HDC		hdc;
	HBITMAP	dib;			// bitmap handle(DIB)
	BITMAPINFOHEADER bmih;	// infoheader
	int datsize;
	int Create(int x,int y,int d);
	void ClearWhite();
	void ClearBlack();
	void Delete();
	void Rotate(int deg);
	void ChangeTone(int hh,int ss,int vv);
	void ChangeBrt(int bb,int cc,int vv);
	CBitmap();
	~CBitmap();
};


class CGrph{
public:
	CBitmap *bms;
	static bool IsLoadable(char *szPath);
	bool LoadPic(char *lpPath);
	bool LoadKPC(BYTE* buf);
	bool LoadBySPI(BYTE* buf,int size,char *szPath);
	bool LoadByOle(HGLOBAL hGlobal,int size);
	bool LoadBMP(BYTE* buf,int size,char *szPath);

	bool SaveKPC(char *szPath, int mode, UINT flag, UINT col, char *lpAFile);
	bool SaveBMP(char *szPath);
};
